Click or drag to resize

AngularDimensionCreate Method (Guid, Plane, Point3d, Point3d, Point3d, Point3d, Point3d)

Initialize Dimension parameters

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static AngularDimension Create(
	Guid styleId,
	Plane plane,
	Point3d extpoint1,
	Point3d extpoint2,
	Point3d dirpoint1,
	Point3d dirpoint2,
	Point3d dimlinepoint
)

Parameters

styleId
Type: SystemGuid

[Missing <param name="styleId"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(System.Guid,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

plane
Type: Rhino.GeometryPlane

[Missing <param name="plane"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(System.Guid,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

extpoint1
Type: Rhino.GeometryPoint3d

[Missing <param name="extpoint1"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(System.Guid,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

extpoint2
Type: Rhino.GeometryPoint3d

[Missing <param name="extpoint2"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(System.Guid,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

dirpoint1
Type: Rhino.GeometryPoint3d

[Missing <param name="dirpoint1"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(System.Guid,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

dirpoint2
Type: Rhino.GeometryPoint3d

[Missing <param name="dirpoint2"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(System.Guid,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

dimlinepoint
Type: Rhino.GeometryPoint3d

[Missing <param name="dimlinepoint"/> documentation for "M:Rhino.Geometry.AngularDimension.Create(System.Guid,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

Return Value

Type: AngularDimension

[Missing <returns> documentation for "M:Rhino.Geometry.AngularDimension.Create(System.Guid,Rhino.Geometry.Plane,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d)"]

Version Information

Rhino for Windows

Supported in: 6.2
See Also